<?php
/**
 * The Header for Reflector theme
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

global $reflector_body_class;

$post_type = get_post_type( $post_id );
$meta_data = reflector_post_type( $post_id, $post_type );

$class_desc_padd    = ! empty( $meta_data['padding_desktop'] ) ? ' padding-desc ' : '';
$class_mob_padd     = ! empty( $meta_data['padding_mobile'] ) ? ' padding-mob ' : '';
$class_main_wrapper = $class_desc_padd . $class_mob_padd; ?>

<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> >
<?php wp_body_open(); ?>
<!-- MAIN_WRAPPER -->

<div class="cs-preloader"></div>

<div class="main-wrapper <?php echo esc_attr( $class_main_wrapper ); ?>">
	<?php do_action( 'reflector_main_header' ); ?>

