<?php

//Simple Footer
if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}
// page options
$meta_data           = get_post_meta($post_id, '_custom_page_options', true);
$meta_data_portfolio = get_post_meta($post_id, 'reflector_portfolio_options', true);
$meta_data_space = get_post_meta($post_id, 'reflector_space_options', true);

$class_footer = !empty($meta_data['fixed_transparent_footer']) || (is_404() && function_exists( 'cs_framework_init' ) ) || (!empty($meta_data_portfolio['fixed_transparent_footer'])) ? ' fix-bottom' : '';

$enable_footer_parallax = isset( $meta_data['enable_parallax_footer_page'] ) ? $meta_data['enable_parallax_footer_page'] : cs_get_option( 'enable_parallax_footer' );
$enable_footer_parallax = isset( $meta_data_portfolio['enable_parallax_footer_page'] ) ? $meta_data_portfolio['enable_parallax_footer_page'] : $enable_footer_parallax;
$enable_footer_parallax = isset( $meta_data_space['enable_parallax_footer_page'] ) ? $meta_data_space['enable_parallax_footer_page'] : $enable_footer_parallax;

$enable_footer_parallax = apply_filters('reflector_blog_footer_style', $enable_footer_parallax);

if ( $enable_footer_parallax ) {
	$class_footer .= ' footer-parallax';
}

$footer_text = cs_get_option('footer_text') ? cs_get_option('footer_text') : esc_html__( ' &copy;', 'reflector' ) . date( 'Y' ) . ' ' . get_bloginfo( 'name' ); ?>

<footer id="footer" class="simple <?php echo esc_attr($class_footer ); ?>">
    <div class="copyright"><?php echo wp_kses_post($footer_text); ?></div>
</footer>
